
Redmine - Patch #6848

Error at attaching afile.

2010-11-08 08:33 - Masanori Kado

Status: Closed Start date: 2010-11-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Index: app/models/user.rb ===================================================================

--- app/models/user.rb  (Revision 4388)

+++ app/models/user.rb  (Working Copy)

@ -396,7 +396,7 @    #    # TODO: only supports Issue events currently

def notify_about?(object)

-    case mail_notification.to_sym

+    case mail_notification.to_s.to_sym

when :all

true

when :selected

Related issues:

Has duplicate Redmine - Defect #6994: Error after saving a issue Closed 2010-11-28

History

#1 - 2010-11-08 08:35 - Masanori Kado

here is log:

app/models/user.rb:399:in `notify_about?'

  app/models/issue.rb:422:in `recipients'

  app/models/mailer.rb:68:in `issue_edit'

  app/models/journal_observer.rb:24:in `after_create'

  /usr/lib/ruby/1.8/observer.rb:185:in `notify_observers'

  /usr/lib/ruby/1.8/observer.rb:184:in `each'

  /usr/lib/ruby/1.8/observer.rb:184:in `notify_observers'

  app/models/journal.rb:43:in `save'

  app/models/issue.rb:832:in `create_journal'

  app/models/issue.rb:538:in `save_issue_with_child_records'

  app/models/issue.rb:520:in `save_issue_with_child_records'

  app/controllers/issues_controller.rb:172:in `update'

#2 - 2010-11-08 08:36 - Masanori Kado

sorry, forgot 1st line:

NoMethodError (undefined method `to_sym' for false:FalseClass):

#3 - 2010-11-08 18:33 - Jean-Philippe Lang

I think you forgot to migrate your database.

User#mail_notification was a boolean, it's a string now. See r4216.

#4 - 2010-11-08 18:49 - Masanori Kado

- Status changed from New to Resolved

oh, it was my mistake. thanks.

#5 - 2010-11-08 19:26 - Jean-Philippe Lang

- Status changed from Resolved to Closed
